Dev GuideRecipesAPI ReferenceChangelog
Dev GuideAPI ReferenceChangelogUser GuideDev CommunityOptimizely AcademySubmit a ticketLog In
API Reference

POST /work-requests/{id}/tasks

Experimental Create a new task from a work request.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Unique identifier of the work request

Body Params

Payload to create a task

string

Title of the task. If not provided. it will be populated by the work request title.

date-time | null

Start date and time of the task, in ISO 8601 UTC format (2020-02-10T10:40:45Z). If workflow_id is present and the workflow has step duration, then either start_at or due_at is required. If both start_at and due_at is provided with a workflow_id that has step duration, then the start_at field will be ignored.

date-time | null

Due date and time of the task, in ISO 8601 UTC format (2020-02-10T10:40:45Z). The due_at field is required if workflow_id is present and the workflow does not have step duration. If workflow_id is present and the workflow has step duration, then either start_at or due_at is required.

string | null

Unique identifier of parent campaign

string | null

Unique identifier of workflow

string | null

Unique identifier of the task owner. If passed as null, then the owner will be the token user.

asset_ids_without_field_inheritance
array of strings

List of asset ids which will not inherit any fields.

asset_ids_without_field_inheritance
string
Defaults to work_request

Specifies the source from which to inherit fields.

Supported values:

  • work_request (default) : Fields are created from the work request
  • workflow : Fields are inherited from the workflow specified by workflow_id
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json